org.eclipse.actf.util.win32

## Class NativeIntAccess

- java.lang.Object
- - org.eclipse.actf.util.win32.NativeIntAccess

    public class NativeIntAccess
    extends Object

Utility class to access native integer

### Constructor Summary

Constructors
Constructor and Description
`NativeIntAccess()` Default Constructor (size=1)
`NativeIntAccess(int size)` Constructor of the class

### Method Summary

Methods
`void` `dispose()` Dispose the object
`int` `getAddress()`
`int` `getAddress(int index)`
`int` `getInt()`
`int` `getInt(int index)`
`void` `setInt(int value)` Set native integer value at index 0
`void` `setInt(int index, int value)` Set native integer value at target index

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NativeIntAccess

    public NativeIntAccess()

Default Constructor (size=1)

#### NativeIntAccess

    public NativeIntAccess(int size)

Constructor of the class

Parameters:
  `size` - array size

### Method Detail

#### dispose

    public void dispose()

Dispose the object

#### getAddress

    public int getAddress()

Returns:
  native address (index=0)

#### getAddress

    public int getAddress(int index)

Parameters:
  `index` - target index
Returns:
  native address

#### getInt

    public int getInt()

Returns:
  integer value (index=0)

#### getInt

    public int getInt(int index)

Parameters:
  `index` - target index
Returns:
  integer value

#### setInt

    public void setInt(int value)

Set native integer value at index 0

Parameters:
  `value` - target value

#### setInt

    public void setInt(int index,
              int value)

Set native integer value at target index

Parameters:
  `index` - target index
  `value` - target value